Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class ValueChangeEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              javax.faces.event.ValueChangeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ValueChangeEvent

extends FacesEvent

A `ValueChangeEvent` is a notification that the local value of the source component has been change as a result of user interface activity. It is not fired unless validation of the new value was completed successfully.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ValueChangeEvent(UIComponent component, java.lang.Object oldValue, java.lang.Object newValue)` Construct a new event object from the specified source component, old value, and new value.

Method Summary
`java.lang.Object` | `getNewValue()` Return the current local value of the source `UIComponent`.
`java.lang.Object` | `getOldValue()` Return the previous local value of the source `UIComponent`.
`boolean` | `isAppropriateListener(FacesListener listener)` Return `true` if this `FacesListener` is an instance of a listener class that this event supports.
`void` | `processListener(FacesListener listener)` Broadcast this `FacesEvent` to the specified `FacesListener`, by whatever mechanism is appropriate.

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueChangeEvent

    public ValueChangeEvent(UIComponent component,
                            java.lang.Object oldValue,
                            java.lang.Object newValue)

  Construct a new event object from the specified source component, old value, and new value.

  The default `PhaseId` for this event is `PhaseId.ANY_PHASE`.

  Parameters:
    `component` - Source `UIComponent` for this event
    `oldValue` - The previous local value of this `UIComponent`
    `newValue` - The new local value of thie `UIComponent`
  Throws:
    `java.lang.IllegalArgumentException` - if `component` is `null`

Method Detail

### getOldValue

    public java.lang.Object getOldValue()

  Return the previous local value of the source `UIComponent`.

### getNewValue

    public java.lang.Object getNewValue()

  Return the current local value of the source `UIComponent`.

### isAppropriateListener

    public boolean isAppropriateListener(FacesListener listener)

  Description copied from class: `FacesEvent`

  Return `true` if this `FacesListener` is an instance of a listener class that this event supports. Typically, this will be accomplished by an "instanceof" check on the listener class.

  Specified by:
    `isAppropriateListener` in class `FacesEvent`
  Parameters:
    `listener` - `FacesListener` to evaluate

### processListener

    public void processListener(FacesListener listener)

  Description copied from class: `FacesEvent`

  Broadcast this `FacesEvent` to the specified `FacesListener`, by whatever mechanism is appropriate. Typically, this will be accomplished by calling an event processing method, and passing this `FacesEvent` as a paramter.

  Specified by:
    `processListener` in class `FacesEvent`
  Parameters:
    `listener` - `FacesListener` to send this `FacesEvent` to
  Throws:
    `AbortProcessingException` - Signal the JavaServer Faces implementation that no further processing on the current event should be performed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.